dev-lang/
lua

A powerful light-weight programming language designed for extending applications

http://www.lua.org/

Available Versions

Version amd64 x86 alpha arm arm64 hppa ia64 ppc ppc64 sparc
Warnings For All Versions
UnstableOnly for arches: [ alpha, ia64 ], all versions are unstable: [ 5.1.5-r4, 5.1.5-r5, 5.1.5-r100, 5.1.5-r101, 5.1.5-r102, 5.1.5-r103, 5.2.3, 5.2.3-r1, 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2, 5.3.3, 5.3.3-r1, 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2 ]
UnstableOnly for arches: [ alpha, ia64 ], all versions are unstable: [ 5.1.5-r4, 5.1.5-r5, 5.1.5-r100, 5.1.5-r101, 5.1.5-r102, 5.1.5-r103, 5.2.3, 5.2.3-r1, 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2, 5.3.3, 5.3.3-r1, 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2 ]
5.3.5-r2 : 5.3 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
DeprecatedEapi uses deprecated EAPI 5
5.3.5-r1 : 5.3 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by version: 5.3.5-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by version: 5.3.5-r2
5.3.5 : 5.3 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.5-r1, 5.3.5-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.5-r1, 5.3.5-r2
5.3.3-r2 : 5.3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.5, 5.3.5-r1, 5.3.5-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.5, 5.3.5-r1, 5.3.5-r2
5.3.3-r1 : 5.3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2
5.3.3 : 5.3 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.3-r1, 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.3) keywords are overshadowed by versions: 5.3.3-r1, 5.3.3-r2, 5.3.5, 5.3.5-r1, 5.3.5-r2
5.2.4-r2 : 5.2 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
DeprecatedEapi uses deprecated EAPI 5
5.2.4-r1 : 5.2 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by version: 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by version: 5.2.4-r2
5.2.4 : 5.2 T ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.4-r1, 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.4-r1, 5.2.4-r2
5.2.3-r3 : 5.2 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.4, 5.2.4-r1, 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.4, 5.2.4-r1, 5.2.4-r2
5.2.3-r2 : 5.2 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
5.2.3-r1 : 5.2 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
5.2.3 : 5.2 ~amd64 ~x86 ~alpha ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r1, 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.2) keywords are overshadowed by versions: 5.2.3-r1, 5.2.3-r2, 5.2.3-r3, 5.2.4, 5.2.4-r1, 5.2.4-r2
5.1.5-r103 : 5.1 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
DeprecatedEapi uses deprecated EAPI 5
5.1.5-r102 : 5.1 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by version: 5.1.5-r103
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by version: 5.1.5-r103
5.1.5-r101 : 5.1 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by versions: 5.1.5-r102, 5.1.5-r103
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by versions: 5.1.5-r102, 5.1.5-r103
5.1.5-r100 : 5.1 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by versions: 5.1.5-r101, 5.1.5-r102, 5.1.5-r103
DeprecatedEapi uses deprecated EAPI 5
RedundantVersion slot(5.1) keywords are overshadowed by versions: 5.1.5-r101, 5.1.5-r102, 5.1.5-r103
5.1.5-r5 : 0 ~amd64 ~x86 ~alpha ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc
5.1.5-r4 : 0 amd64 x86 ~alpha arm arm64 hppa ~ia64 ppc ppc64 sparc
DeprecatedEapi uses deprecated EAPI 5
PotentialStable slot(0), stabled arches: [ amd64, arm, arm64, hppa, ppc, ppc64, s390, sparc, x86 ], potentials: [ ~alpha, ~ia64 ]
DeprecatedEapi uses deprecated EAPI 5
PotentialStable slot(0), stabled arches: [ amd64, arm, arm64, hppa, ppc, ppc64, s390, sparc, x86 ], potentials: [ ~alpha, ~ia64 ]

Masks

  • Masked for testing since this is known to break nearly every reverse dependency wrt bug 407091
    >=dev-lang/lua-5.2.0
    Samuli Suominen <ssuominen@gentoo.org> (2012-03-06 00:00:00 +0000 UTC)

Package Metadata

Changelog